Skip to main content
POST
/
v1
/
admin
/
connector-providers
/
{provider_key}
/
airbyte-discovery
Discover an Airbyte schema
curl --request POST \
  --url https://api.withsplendor.com/v1/admin/connector-providers/{provider_key}/airbyte-discovery \
  --header 'Authorization: Bearer <token>' \
  --header 'x-splendor-tenant-id: <x-splendor-tenant-id>'
{
  "airbyte_source_definition_id": "def_1",
  "airbyte_source_definition_name": "Stripe",
  "airbyte_workspace_id": "ws_1",
  "auth_mode": "oauth",
  "connection_specification": {},
  "consent_url": "https://connect.airbyte.com/oauth/...",
  "docker_image_tag": "3.0.0",
  "docker_repository": "airbyte/source-stripe",
  "error_message": null,
  "oauth_input_configuration": {},
  "oauth_mode": "airbyte",
  "provider_key": "stripe",
  "status": "ready",
  "supports_airbyte_oauth": true,
  "tenant_id": "acme"
}

Authorizations

Authorization
string
header
required

API token issued from the Splendor console.

Headers

x-splendor-tenant-id
string
required

Selects the tenant (workspace) the request acts within.

Path Parameters

provider_key
string
required

Response

Successful Response

airbyte_source_definition_id
string | null
required
airbyte_source_definition_name
string
required
airbyte_workspace_id
string
required
auth_mode
enum<string>
required
Available options:
oauth,
api_key
connection_specification
Connection Specification · object
required
docker_image_tag
string | null
required
docker_repository
string | null
required
error_message
string | null
required
oauth_input_configuration
Oauth Input Configuration · object
required
oauth_mode
enum<string>
required
Available options:
airbyte,
splendor,
none
provider_key
string
required
status
enum<string>
required
Available options:
ready,
api_key,
missing_source_definition,
airbyte_oauth_unavailable
supports_airbyte_oauth
boolean
required
tenant_id
string
required